Skip to main content
GET
/
api
/
v2.1
/
customer
/
individual
/
{customerId}
/
owner
/
{ownerTenantId}
/
activation
/
check
Check activation status
curl --request GET \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/owner/{ownerTenantId}/activation/check \
  --header 'Authorization: <authorization>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>'
{
  "code": 123,
  "data": {
    "activationAllowed": true,
    "consentOk": true,
    "verificationOk": true,
    "riskLevel": "<string>",
    "message": "<string>"
  },
  "message": "<string>"
}

Headers

X-Tenant-ID
string
required
Example:

"tenant-demo-001"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client source identifier

Example:

"client-app"

platform
string
required

Client platform

Example:

"mobile"

deviceId
string
required

Device identifier

Example:

"device-demo-001"

Authorization
string
required

Bearer JWT

Example:

"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJkZW1vLXVzZXIifQ.demo-signature"

Path Parameters

customerId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

ownerTenantId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

Response

200 - application/json

OK

code
integer<int32>
data
object
message
string